Bug 181748 - system-config-boot should probably be installed by default
system-config-boot should probably be installed by default
Status: CLOSED DEFERRED
Product: Fedora
Classification: Fedora
Component: comps (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Cantrell
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-16 01:29 EST by Alexandre Oliva
Modified: 2013-01-09 20:21 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-21 16:58:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alexandre Oliva 2006-02-16 01:29:08 EST
Not even an install with all package groups selected (not including optional
member packages) will install system-config-boot.  It feels like users should
have a GUI way to select which kernel to boot into by default in a default install.

Also, it should probably be in admin-tools, instead of server-cfg.
Comment 1 Jesse Keating 2006-02-21 16:08:17 EST
I'm getting reports that this package may not work all that well.  Have you
tested it?
Comment 2 Alexandre Oliva 2006-02-21 16:24:38 EST
Not really, just a tiny little bit, and that appeared to work.  But wouldn't
that be yet another reason to include it while still in the testing period, such
that it can ship in a functional state?  Or perhaps in an update?  After final
ships, we can't fix its inclusion-by-default any more, you know :-)
Comment 3 Jesse Keating 2006-02-21 16:58:54 EST
This isn't the testing period.  We've frozen for FC5 Final.  I'm told that this
application can generate a grub.conf that could be incompatible with grubby
(used by kernel updates) or anaconda (used during upgrades).  This isn't
something we want to have happen, and it is really too late to introduce buggy
applications into the default install.  We should look at either fixing it post
FC5 for FC6 or dropping it from the distro.
Comment 4 Alexandre Oliva 2006-02-21 23:40:37 EST
Fair enough.  We should probably leave this open, then, and add the thing to the
default rawhide install as soon as FC5 ships.  CLOSED/WONTFIX isn't quite
accurate, so I changed it to CLOSED/DEFERRED, but I really think it should be
open and blocked on say FC6Target.  Your call.

Note You need to log in before you can comment on or make changes to this bug.